import React from 'react';
import PropTypes from 'prop-types';
import FormControlLabel from '@material-ui/core/FormControlLabel';
import FormControl from '@material-ui/core/FormControl';
import FormHelperText from '@material-ui/core/FormHelperText';
import CheckboxMaterial from '@material-ui/core/Checkbox';

const Checkbox = ({
  onChange, innerState, color, classes, label,
}) => (
    <FormControl>
      <FormControlLabel
        control={
          <CheckboxMaterial
            checked={innerState.value}
            onChange={onChange}
            color={color}
            classes={classes}
          />
        }
        label={label}
      />
      <FormHelperText>{' '}</FormHelperText>
    </FormControl>
);

Checkbox.propTypes = {
  onChange: PropTypes.func,
  innerState: PropTypes.object,
  color: PropTypes.string,
  classes: PropTypes.object,
  label: PropTypes.string,
};

export default Checkbox;

