import React from 'react';
import PropTypes from 'prop-types';
import RadioMaterial from '@material-ui/core/Radio';

const Radio = ({
  value, id, checked, onChange, color, name = 'radio-button',
}) => (
    <RadioMaterial
      checked={checked}
      onChange={onChange}
      id={id}
      value={value}
      color={color}
      name={name}
      aria-label={name} />
);
Radio.propTypes = {
  onChange: PropTypes.func,
  value: PropTypes.string,
  id: PropTypes.string.isRequired,
  color: PropTypes.string,
  name: PropTypes.string,
  checked: PropTypes.bool,
};
export default Radio;
