import React from 'react';
import PropTypes from 'prop-types';

import FormControlLabel from '@material-ui/core/FormControlLabel';
import SwitchMaterial from '@material-ui/core/Switch';

const Switch = ({
  label, innerState, onChange, color = 'primary', classes = {},
}) =>
  (<FormControlLabel
    control={
      <SwitchMaterial
        checked={innerState.value}
        onChange={onChange}
        color={color}
        classes={classes}
      />
    }
    label={label}
  />);

Switch.propTypes = {
  label: PropTypes.string.isRequired,
  innerState: PropTypes.object,
  onChange: PropTypes.func,
  color: PropTypes.string,
  classes: PropTypes.object,
};

export default Switch;
