import getTruthyProps from '../helpers/truthyProps';

export const getErrors = ({ innerState, messages }) => {
  if (innerState.touched) {
    const errorList = getTruthyProps(innerState.errors || {});

    return errorList
      .map(val => messages[val])
      .join(', ');
  }

  return '';
};

export const getLocale = (key = 'enUS', locales) => {
  const locale = key && locales[key];

  if (!locale) {
    throw new Error('Unknown locale, check list of locales https://date-fns.org/v2.0.0-alpha.7/docs/I18n');
  }
  return locale;
};
